function jvmGc (server) {
  var _ = require('lodash');
  server.init('jvmGc');

  server.app.get('/jvm-gc/0.0.3/jvms/:jvmId', function (req, res) {
    server.logRequest('jvm-gc', req);

    var jvmId = req.params.jvmId;

    var limit = req.query.limit;
    if (limit == 1) {
      var event = Math.random() > 0.8;
      var micros = event ? Math.random() * 1000 : 0;
      res.setHeader('Content-Type', 'application/json');
      res.send(JSON.stringify({
        response: [{
          jvmId: jvmId,
          collectorName: 'foo-collector',
          timeStamp: { $numberLong: Date.now().toString() },
          wallTimeInMicros: { $numberLong: micros }
        }]
      }));
    }
  });

  server.app.get('/jvm-gc/0.0.3/delta/:jvmId', function (req, res) {
    server.logRequest('jvm-gc', req);

    var jvmId = req.params.jvmId;

    var event = Math.random() > 0.8;
    var micros = event ? Math.random() * 1000 : 0;

    var data = {
      jvmId: jvmId,
      collectorName: 'foo-collector',
      timeStamp: { $numberLong: Date.now().toString() },
      wallTimeDelta: { $numberLong: micros }
    };

    res.setHeader('Content-Type', 'application/json');
    res.send(JSON.stringify(
      {
        response: [data]
      }
    ));
  });
}

module.exports = jvmGc;
